org.apache.fop.render.pdf.pdfbox

## Class AbstractPDFBoxHandler

- java.lang.Object
- - org.apache.fop.render.pdf.pdfbox.AbstractPDFBoxHandler

- Direct Known Subclasses:
    PDFBoxImageHandler

      public abstract class AbstractPDFBoxHandler
      extends java.lang.Object

  Abstract base class for implementation of FOP's image handler interfaces (old and new) which can use PDFBox to parse an existing PDF file and write that to the target PDF as a Form XObject.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPDFBoxHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `createStreamForPDF(ImagePDF image, org.apache.fop.pdf.PDFPage targetPage, org.apache.fop.apps.FOUserAgent userAgent, java.awt.geom.AffineTransform pageAdjust, org.apache.fop.fonts.FontInfo fontinfo, java.awt.Rectangle destRect, java.util.Map<java.lang.String,java.lang.Object> usedFieldNames, java.util.Map<java.lang.Integer,org.apache.fop.pdf.PDFArray> pageNumbers, org.apache.fop.render.pdf.PDFLogicalStructureHandler handler, org.apache.fop.pdf.PDFStructElem curentSessionElem)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPDFBoxHandler

          public AbstractPDFBoxHandler()

  - ### Method Detail

    - #### createStreamForPDF

          protected java.lang.Object createStreamForPDF(ImagePDF image,
                                                        org.apache.fop.pdf.PDFPage targetPage,
                                                        org.apache.fop.apps.FOUserAgent userAgent,
                                                        java.awt.geom.AffineTransform pageAdjust,
                                                        org.apache.fop.fonts.FontInfo fontinfo,
                                                        java.awt.Rectangle destRect,
                                                        java.util.Map<java.lang.String,java.lang.Object> usedFieldNames,
                                                        java.util.Map<java.lang.Integer,org.apache.fop.pdf.PDFArray> pageNumbers,
                                                        org.apache.fop.render.pdf.PDFLogicalStructureHandler handler,
                                                        org.apache.fop.pdf.PDFStructElem curentSessionElem)
                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2007-2024 The Apache Software Foundation. All Rights Reserved.